Skip to content

Comparing changes

Choose two branches to see what’s changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
...
Commits on Aug 29, 2010
@jpr5 Checkpoint on conversion.
Still working on proper Bundler libs, waiting on DM 1.0.1, then going for
Jeweler and specs.
c0c4846
Commits on Nov 30, 2010
Andy Delcambre Add bundler 1.0 stuff to .gitignore 0ef9c39
Commits on Dec 01, 2010
Andy Delcambre Upgrade to bundler 1.0, use gemspec 6ac9fa7
Andy Delcambre fix a spec 02c4d64
Commits on Dec 23, 2010
@jpr5 Keep chunk of test code (disabled) for run-time WSDL eval (w/o cache). 4302fd2
@jpr5 Fixed error exception parsing (structure changed), and some tidying. 47b0592
@jpr5 Merge remote branch 'ey/master'
Conflicts:
    .gitignore (nuked /Gemfile.lock)
    Gemfile (match ey)
    Rakefile (match ey)
    lib/dm-salesforce/version.rb (nuked, adapter name changed)

Updates:
    dm-salesforce-adapter.gemspec (right include, version, info, etc)
e21980d
@jpr5 Tidy, and nuke old methodology from explanation. 838ca65
@jpr5 Update to 1.0.1 for extlib dependency typo. 41fcf3c
Commits on Jan 18, 2011
@twobitfool twobitfool add missing dependancy for data_objects beb668b
Commits on Jun 06, 2011
@jpr5 Fix invalid error catching code - should have been a regex, not string. 6026d40
@jpr5 Merge branch 'master' of github.com:/cloudcrowd/dm-salesforce-adapter 573c5e0
Commits on Jul 05, 2011
@jpr5 Ensure the String inflections are only applied to Strings.
This came from a lovely fork in the guise of "1.9 support".  Realistically, it's
more likely this is related to DM 1.1 punting Extlib and AS core_ext's not
hooking Symbols with the inflections.
41c9b0a
@jpr5 Don't load version.rb from gemspec.
Bundler/something loads it from the gemspec and beats the main rb from defining
the class, causing a superclass mismatch error.

Now we'll just keep the two strings in sync (1 in gemspec, 1 in version.rb).
1a808ce
@jpr5 Update to support DM 1.1.0.
Re-formatted gemspec, removed extlib dependency, introduced a FIXME to convert
all core_ext-based Inflections to DM's internal Inflector.
c5450eb
@jpr5 Eliminate reliance on String core_ext inflection.
Otherwise, would still assume that ActiveSupport or Extlib was still present.
dm-core 1.1.0 removed this (confusing) dependency.
b210347
@jpr5 Update README about version support. 7ffd78c
Commits on Jul 06, 2011
@jpr5 Exclude bundle-local install path and add ignore for real database.yml. 5fbd820
@jpr5 Add dm-sqlite-adapter into the mix. 651e2bf
@jpr5 Remove a bunch of useless cruft, and add spec_helper as first load.
vs. as --require.
e610966
@jpr5 Relocate standalone example script and update with comments. 043541c
@jpr5 Rewrite spec_helper to be clearer, efficient and do a little error ch…
…ecking.
dc1b0d8
@jpr5 Make script/console use spec_helper, so all setup is consistent/DRY. f5050d5
@jpr5 Update class/path names to properly match the adapter. 5a645d6
@jpr5 Bump version for unreleased changes, and peg DO at ~> 0.10.6. 26e3cd8
Commits on Jul 13, 2011
@jpr5 Version bump for release. 22482be
@jpr5 Conform to DM 1.1.x Property API, and enforce parity between load/typ…
…ecast.
5b6a230
@jpr5 Mark Boolean property as custom.
Effectively from engineyard's e66b924.
e90960a
@jpr5 Use kind_of? to avoid Object#type deprecation warning. 893ce45
@jpr5 Support Model.get(), which explicitly sets :order to nil. c29cd81
@jpr5 Bump version for unreleased changes. a4303ab
Commits on Sep 09, 2011
@fredjean fredjean Attempting to support Ruby 1.9. 7943a48
@twobitfool twobitfool also check for FieldName__c cda2b4f
@twobitfool twobitfool make "rake spec" friendlier to first timers e6a609b
@jpr5 Kill dead spec file (for now). ef9b145
@jpr5 Require spec_helper in every spec.
Should allow specs to be run with:

1. bundle exec rake spec SPEC=...
2. bundle exec spec spec/dir/foo_spec.rb
3578230
@jpr5 Implement better pattern and correct handling of faultcodes from SF.
Further connection-related faults should just be extended with addition
when/then's + new SalesforceAdapter::Connection::Errors exception class, as
necessary.
4bbbee2
@jpr5 gemspec updates: support 1.9.x, bump version, tidy. 6c4a166
Commits on Apr 13, 2012
John Knott Made query batch resultsets of over 2000 and join and return them tra…
…nsparently
12599ac
@johnknott johnknott Updated to use 18 character Salesforce ID
Conflicts:

    Gemfile (ignored johnknott's change)
e8db767
@jpr5 Specify ruby-debug gem for both 1.8 and 1.9. e277a87
@jpr5 Update deps for DM version range, and bump gem version for release. 35a7f7e
@jpr5 Bump version for unreleased changes. 1595f46
@jpr5 Mention that the adapter works on both DM 1.1 and 1.2. 4aec41b
Commits on Apr 19, 2012
@jpr5 Fix what appears to be a typo in an exception string. 9e7291b
Commits on Oct 01, 2012
@fredjean fredjean Upgrading bundler to 1.1.x
Also making sure that bundle install works on 1.9
66cee3f
@fredjean fredjean Formatting date and time values when building SOQL queries
The dates were formatted using their to_s methods. This introduced white
spaces in the values and generated invalid queries. This uses the ISO 8601
format, which is accepted by SF.com.
ad303b8
@jpr5 Update for fredjean's contributions ae68d04
@jpr5 Make default config string-keys (didn't work otherwise) c9bee12
@jpr5 1.9: gem dependency ruby-debug -> debugger bc247af
@jpr5 Bump gem version for release. 2b03fbe
@jpr5 Bump version for unreleased changes. 6e7164e
Commits on Dec 03, 2012
@jpr5 Merge cloudcrowd/dm-salesforce-adapter back into my history. 59802b0
Something went wrong with that request. Please try again.